### Method

# Gtk Window is_maximized

#### Declaration [src]

    gboolean
    gtk_window_is_maximized (
      GtkWindow* window
    )

#### Description [src]

Retrieves the current maximized state of `window`.

Note that since maximization is ultimately handled by the window manager and happens asynchronously to an application request, you shouldn’t assume the return value of this function changing immediately (or at all), as an effect of calling gtk_window_maximize() or gtk_window_unmaximize().

If the window isn’t yet mapped, the value returned will whether the initial requested state is maximized.

Gets property | `Gtk.Window:maximized`

#### Return value

Returns: | `gboolean`
| Whether the window has a maximized state.